{"openapi":"3.0.4","info":{"title":"Gets the specified event type schema.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/notification"}],"paths":{"/api/eventtypes/{eventType}":{"get":{"tags":["EventTypes"],"summary":"Gets the specified event type schema.","operationId":"GetEventType","parameters":[{"name":"eventType","in":"path","description":"The event type to retrieve schema for.","required":true,"schema":{"maxLength":512,"minLength":1,"pattern":"^[a-zA-Z]*$","type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/notification/schemas.json#/components/schemas/EventTypeSchema"},"example":{"id":"TestId","displayName":"TestDisplayName","description":"TestDescription","entity":"TestEntity","application":"TestApplication","headerSchema":[{"name":"eventType","type":"String"},{"name":"requestId","type":"String"},{"name":"userId","type":"String"},{"name":"action","type":"String"},{"name":"entityType","type":"String"},{"name":"timestamp","type":"DateTime"},{"name":"href","type":"String"}],"bodySchema":[{"name":"scope","type":"String"},{"name":"lusidInstrumentId","type":"String"},{"name":"identifiers","type":"CollectionOfIdentifiers"}],"href":"Test:firstString"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/notification/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"404":{"description":"No event type exists with the specified type","content":{"application/json":{"schema":{"type":"string"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/notification/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}